The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Обновление Debian 10.4"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Обновление Debian 10.4"  +/
Сообщение от opennews (ok), 09-Май-20, 20:13 
Опубликовано четвёртое корректирующее обновление дистрибутива Debian 10, в которое включены накопившиеся обновления пакетов и устранены недоработки в инсталляторе. Выпуск включает 108 обновлений с устранением проблем со стабильностью и 53 обновления с устранением уязвимостей...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=52920

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Обновление Debian 10.4"  +19 +/
Сообщение от Lexa3110 (ok), 09-Май-20, 20:13 
Лучший дистрибутив. Спасибо.
Ответить | Правка | Наверх | Cообщить модератору

2. "Обновление Debian 10.4"  +10 +/
Сообщение от Аноним (2), 09-Май-20, 20:16 
Пожалуйста.
Ответить | Правка | Наверх | Cообщить модератору

15. "Обновление Debian 10.4"  –3 +/
Сообщение от Главный Ананим (ok), 09-Май-20, 21:24 
На здоровье.
Ответить | Правка | Наверх | Cообщить модератору

72. "Обновление Debian 10.4"  +/
Сообщение от Айболит (?), 10-Май-20, 16:17 
Не болейте
Ответить | Правка | Наверх | Cообщить модератору

63. "Обновление Debian 10.4"  –11 +/
Сообщение от anonimus (?), 10-Май-20, 08:30 
Debian это не дебиан это та самя убунту космик от которой пропали репозитории фактически пакетов нету , ну ну говори что заговоров нет далее , кто не дурак тот знает
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

100. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (100), 12-Май-20, 07:00 
Срочно лекарства прими, заговорщик.
Ответить | Правка | Наверх | Cообщить модератору

103. "Обновление Debian 10.4"  +/
Сообщение от C945 (?), 12-Май-20, 16:08 
Не знаю, но я перепробовал все существующие на сегодня дистры, Debian из всех самый лучший! Особенно KDE Plasma.
Ответить | Правка | Наверх | Cообщить модератору

111. "Обновление Debian 10.4"  +/
Сообщение от sysrise (ok), 22-Май-20, 01:10 
А Вас не смущает факт того, что Debian появился тогда, когда Ubuntu еще даже в проекте не было? Поэтому сравнивать Debian c Ubuntu, все равно что сравнивать "лапоть с ракетой"! Если уж и сравнивать эти две ОС, то за основу нужно брать Debian, но никак не Ubuntu.
Ответить | Правка | К родителю #63 | Наверх | Cообщить модератору

108. "Обновление Debian 10.4"  +1 +/
Сообщение от лютый жабби (?), 14-Май-20, 08:28 
>Лучший дистрибутив. Спасибо.

На сервер центос/рхел. На рабочую станцию Арч.

В бастере жабка только 11, обновы на браузеры прилетают с задержкой в 2-3 недели. Уж лучший так лучший...

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

110. "Обновление Debian 10.4"  +1 +/
Сообщение от www2 (??), 15-Май-20, 11:27 
Под виндой обновления прилетают только самой винды. Остальные программы нужно обновлять ручками. Тем не менее, 98% настольных систем - это винды. Фатальный недостаток такой фатальный.
Ответить | Правка | Наверх | Cообщить модератору

112. "Обновление Debian 10.4"  +/
Сообщение от artenox (?), 01-Июн-20, 19:41 
> Лучший дистрибутив

Ха ха. Знали бы вы сколько с ним траха после установки. А потом я удалил firefox, он мне какую-то ефифаню заставляет качать. Зазоры кругом, но это во всем линуксе так. Лучшим дистрибутивом был Xubuntu 16.04, но теперь уже никого не осталось. Крыса тоже скатилась, кнопка Whisker не всегда нажимается.

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

3. "Обновление Debian 10.4"  –6 +/
Сообщение от Аноним (3), 09-Май-20, 20:40 
>Выпуск включает 108 обновлений с устранением проблем со стабильностью и 53 обновления с устранением уязвимостей.<

И половина это Firefox?

Ответить | Правка | Наверх | Cообщить модератору

6. "Обновление Debian 10.4"  +6 +/
Сообщение от Аноним (6), 09-Май-20, 20:45 
В твоем случае с IE
Ответить | Правка | Наверх | Cообщить модератору

4. "Обновление Debian 10.4"  –4 +/
Сообщение от Аноним (4), 09-Май-20, 20:42 
Народ, если есть кто дебианщики, помогите пожалуйста разобраться в механизме выставления приоритетов веток репозиториев и пакетов!
Ответить | Правка | Наверх | Cообщить модератору

5. "Обновление Debian 10.4"  –4 +/
Сообщение от Аноним (4), 09-Май-20, 20:44 
> Народ, если есть кто дебианщики, помогите пожалуйста разобраться в механизме выставления
> приоритетов веток репозиториев и пакетов!

У меня просто ситуация с ветками и пакетами непонятно как разрешаемая, из стондарной доки нубу не понять как чего накалдовать!

Ответить | Правка | Наверх | Cообщить модератору

7. "Обновление Debian 10.4"  –6 +/
Сообщение от losev (?), 09-Май-20, 20:56 
install gentoo
Ответить | Правка | Наверх | Cообщить модератору

27. "Обновление Debian 10.4"  +2 +/
Сообщение от Аноним (27), 09-Май-20, 22:09 
> install gentoo

Обязательно попробую, как только с моей стороны появится железо на котором это всё компилять, а со стороны генты понятная для простых смертных документация, например такая как у арча, и хотя бы какой-нибудь инсталятор, хоть бы и на ncurses, подобный дебианскому netinstall.
А в целом меня забавляют подобные вашим комментарии, в стиле, на любой вопрос
-"как разобраться в Y?"
Ответ - "не, лучше сделай X!"
Ох уж этот losev, ай да потешник!

Ответить | Правка | Наверх | Cообщить модератору

65. "Обновление Debian 10.4"  –2 +/
Сообщение от псевдонимус (?), 10-Май-20, 10:53 
Калькулейт тогда поставь, инсталлятор там есть.
Ответить | Правка | Наверх | Cообщить модератору

74. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (74), 10-Май-20, 18:14 
> Калькулейт тогда поставь, инсталлятор там есть.

Пробовал уже, но
во-первых речь была про gentoo, а калькулатор на базе генты, но не генту, у них куча своих доморощенных велосипедов и с каждым релизом разница между этим поделием и гентой всё сильнее и в калькуляторе компилить тоже нужно, если хочется чего-то, что не положили на бинхост, плюс то что там полсистемы это собранные уже бинари с  флагами как того повар захотел приводит к тому, что тебе надо делать выбор, либо жрать что дают и дальше и не заморачиваться, либо пересобирать самому полсистемы, и смысл тогда? Для готовых бинарников есть другие более подходящие по многим показателям дистрибутивы, а для сорцовых сборок оригинальная гента, а калькулятор это такой очень нишевый продукт-в-себе максимально нужный только его разработчикам. Мне лично система не понравилась

Ответить | Правка | Наверх | Cообщить модератору

78. "Обновление Debian 10.4"  +/
Сообщение от псевдонимус (?), 10-Май-20, 19:11 
>[оверквотинг удален]
> генту, у них куча своих доморощенных велосипедов и с каждым релизом
> разница между этим поделием и гентой всё сильнее и в калькуляторе
> компилить тоже нужно, если хочется чего-то, что не положили на бинхост,
> плюс то что там полсистемы это собранные уже бинари с  
> флагами как того повар захотел приводит к тому, что тебе надо
> делать выбор, либо жрать что дают и дальше и не заморачиваться,
> либо пересобирать самому полсистемы, и смысл тогда? Для готовых бинарников есть
> другие более подходящие по многим показателям дистрибутивы, а для сорцовых сборок
> оригинальная гента, а калькулятор это такой очень нишевый продукт-в-себе максимально нужный
> только его разработчикам. Мне лично система не понравилась

Извини, но портаж не влдшебная палочка. Делать совсем что угодно ты можешь только правя исходники.

Ответить | Правка | Наверх | Cообщить модератору

79. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (79), 10-Май-20, 22:52 
> Извини, но портаж не влдшебная палочка. Делать совсем что угодно ты можешь
> только правя исходники.

Я имею представление, что такое portage,  к чему вообще было это ваше высказывание?

Ответить | Правка | Наверх | Cообщить модератору

105. "Обновление Debian 10.4"  +/
Сообщение от псевдонимус (?), 12-Май-20, 20:07 
>> Извини, но портаж не влдшебная палочка. Делать совсем что угодно ты можешь
>> только правя исходники.
> Я имею представление, что такое portage,  к чему вообще было это
> ваше высказывание?

К тому, что ты ищешь костыль, костыль, реализовав который, будешь страдать.

Ну гипотетически пробуй никсось, гуикс. С моей точки зрения оно интересное, но мертвеньким родилось: для управления надо знать лисп и подобное, а это приговор. Декларативщина, за редкими исключениями всегда будет уделри задр..ов.

ЗЫ: эрланг и tcl рулят и педалят, лиспы стагнируют, хаскель кроме куколдов и шизофреников никому не интересен.

И только фортран просто работает;-)

Ответить | Правка | Наверх | Cообщить модератору

94. "Обновление Debian 10.4"  +/
Сообщение от Аноним (94), 11-Май-20, 16:31 
>[оверквотинг удален]
> генту, у них куча своих доморощенных велосипедов и с каждым релизом
> разница между этим поделием и гентой всё сильнее и в калькуляторе
> компилить тоже нужно, если хочется чего-то, что не положили на бинхост,
> плюс то что там полсистемы это собранные уже бинари с  
> флагами как того повар захотел приводит к тому, что тебе надо
> делать выбор, либо жрать что дают и дальше и не заморачиваться,
> либо пересобирать самому полсистемы, и смысл тогда? Для готовых бинарников есть
> другие более подходящие по многим показателям дистрибутивы, а для сорцовых сборок
> оригинальная гента, а калькулятор это такой очень нишевый продукт-в-себе максимально нужный
> только его разработчикам. Мне лично система не понравилась

Есть гораздо лучше варианты, если вам нужена "гента с установщиком", они не идеальны, в одном лучше установщик, это - Redcore linux, но там свой велосипед в виде гуишного менеджера пакетов sisyphus и он как-то странно работает, не всё ищет в портажах, плюс сама система актуально обновляется из-за чего могут возникнуть казусы у неподготовленного человека, и сам установщик последней версии системы на старте требует наличия минимум 30 гб и отказывается устанавливать её, если места меньше (лично я не люблю такие странности). В совокупности всех факторов система мне скорее не понравилась, напоминает calculate с её велосипедами, субъективно получше тем, что меньше странных решений с точки зрения гентушника по сравнению с calculate linux.

И второй вариант - CloverOS, он мне нравится гораздо больше, актуально обновляется, глубоко не копал, но не заметил отличий от генту, по сути это несколько профилей с бинхостом в котором определённый набор бинарных пакетов, у бинхостов выставлен приоритет над сборкой из сорцев, что легко меняется. Огромный плюс в том, что дистрибутив настолько далеко не ушёл от генты, фактически это просто бинхост и скрипты для установки, calculate когда-то был похожим на него, в начале когда меньше говен было навёрнуто поверх адекватной задумки.
На мой взгляд единственный на сегодня из известных мне вариантов бинарной установки генту с хоть каким-то установщиком, не такая подробная и крутая штука как ncurses-style netinstall у Debian, но и не такая наркомания как у antiX.
Отсюда один из видимых мной минусов, устанощик, по сути являясь слегка причёсанным набором скриптов не такой модный как петоновый у calculate linux или более распространённый как calamares, но лично меня он в растерянность не ввёл, если вы умеете ставить Debian из netinstall — гарантирую, что с этим точно разберётесь.
И второй минус, для кого-то вообще не минус, но для меня с моими тараканами, таки да - это параноидальные мысли, потому что проект ведёт вроде один человек, что он в эти бинари натолкал неизвестно, никто аудита не проводил. Но если сравнение идёт именно с calculate linux - давайте будем честны, там тоже непонятно что в бинарях, и официально известного аудита тоже никто не проводил, тут уже одинаковый вопрос доверия.
Однако лично я, выбрая из этих двух скорее бы доверился забугорному проекту от ноунейма, чем "отечественному" от такого "весёлого коллектива" с учётом того, с кем они дружат и кого обслуживают, кому надо тот понял, тем более это легко нагугливается, кто не понял - тому не надо.
Сами скрипты установки CloverOS лежат в открытом доступе можно покурить/потыкать палочкой.

Ответить | Правка | К родителю #74 | Наверх | Cообщить модератору

86. "Обновление Debian 10.4"  –2 +/
Сообщение от Аноним (86), 11-Май-20, 10:56 
> Калькулейт тогда поставь, инсталлятор там есть.

calculate это тестовая халявная площадка для одной конторы, которая свои хотелки обкатывает на пользователях, в этом бы не было особо ничего страшного для пользователя, вот только в отличие от других дистров стабильный продукт получают только хозяева, если он вообще есть, этот стабильный продукт, иначе я не понимаю на кой этот цирк?
Конторка мутноватая, в сообществе и в среде разрабов наличествуют сомнительной адекватности люди, и это главный отталкивающий фактор в купе с рандомной стабильностью, это не серьёзный продукт, а так на поиграться.


Ответить | Правка | К родителю #65 | Наверх | Cообщить модератору

90. "Обновление Debian 10.4"  +/
Сообщение от псевдонимус (?), 11-Май-20, 12:10 
>> Калькулейт тогда поставь, инсталлятор там есть.
> calculate это тестовая халявная площадка для одной конторы, которая свои хотелки обкатывает
> на пользователях, в этом бы не было особо ничего страшного для
> пользователя, вот только в отличие от других дистров стабильный продукт получают
> только хозяева, если он вообще есть, этот стабильный продукт, иначе я
> не понимаю на кой этот цирк?
> Конторка мутноватая, в сообществе и в среде разрабов наличествуют сомнительной адекватности
> люди, и это главный отталкивающий фактор в купе с рандомной стабильностью,
> это не серьёзный продукт, а так на поиграться.

Выкидывание системдна и гома косвенно свидетельствует об адекватности разработчиков

Ответить | Правка | Наверх | Cообщить модератору

95. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (95), 11-Май-20, 22:37 
> Выкидывание системдна и гома косвенно свидетельствует об адекватности разработчиков

Щито?! Отсутствие системды не заслуга калькулистов, они на генте паразитируют, а у генты openrc, системда там только как опция для наркоманов и то недавно, а калькулятор ещё до системды появился, так что никто там ничего не выкидывал, а тупо взяли что было дефолтом
и что такое "гома"?
если  гном, то там он есть, а если гомна, то там их ещё больше.

Ответить | Правка | Наверх | Cообщить модератору

96. "Обновление Debian 10.4"  +/
Сообщение от псевдонимус (?), 11-Май-20, 23:42 
>> Выкидывание системдна и гома косвенно свидетельствует об адекватности разработчиков
> Щито?! Отсутствие системды не заслуга калькулистов, они на генте паразитируют, а у
> генты openrc, системда там только как опция для наркоманов и то
> недавно, а калькулятор ещё до системды появился, так что никто там
> ничего не выкидывал, а тупо взяли что было дефолтом
>  и что такое "гома"?
> если  гном, то там он есть, а если гомна, то там
> их ещё больше.

Разрабы вообще не отделяют себя от сообщества генты, умник! И как можно паразитировать на дистре, который ничего не развивает толком, а?


Ответить | Правка | Наверх | Cообщить модератору

98. "Обновление Debian 10.4"  +/
Сообщение от Аноним (98), 12-Май-20, 03:28 
> Разрабы вообще не отделяют себя от сообщества генты, умник!

Они могут считать себя кем угодно, хоть наполеонами
>И как можно паразитировать на дистре, который ничего не развивает толком, а?

Всё с вами ясно, после этой толстоты дальнейшее общение смысоа не имеет, кормитесь в другом месте!

Ответить | Правка | Наверх | Cообщить модератору

99. "Обновление Debian 10.4"  +/
Сообщение от псевдонимус (?), 12-Май-20, 06:14 
>> Разрабы вообще не отделяют себя от сообщества генты, умник!
> Они могут считать себя кем угодно, хоть наполеонами
>>И как можно паразитировать на дистре, который ничего не развивает толком, а?
> Всё с вами ясно, после этой толстоты дальнейшее общение смысоа не имеет,
> кормитесь в другом месте!

На правду обиделся? Напрасно.


Ответить | Правка | Наверх | Cообщить модератору

97. "Обновление Debian 10.4"  +/
Сообщение от псевдонимус (?), 11-Май-20, 23:45 
>> Выкидывание системдна и гома косвенно свидетельствует об адекватности разработчиков
> Щито?! Отсутствие системды не заслуга калькулистов, они на генте паразитируют, а у
> генты openrc, системда там только как опция для наркоманов и то
> недавно, а калькулятор ещё до системды появился, так что никто там
> ничего не выкидывал, а тупо взяли что было дефолтом
>  и что такое "гома"?
> если  гном, то там он есть, а если гомна, то там
> их ещё больше.

Не " тупо взяли", клован, а был опрос пользователей. Тупо взяла убунту, когда днище внедрили в дубиан.

Ответить | Правка | К родителю #95 | Наверх | Cообщить модератору

12. "Обновление Debian 10.4"  +3 +/
Сообщение от Аноним (12), 09-Май-20, 21:02 
Начни со "стондартного" учебника русского языка.
Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

106. "Обновление Debian 10.4"  –1 +/
Сообщение от псевдонимус (?), 12-Май-20, 20:26 
>> Народ, если есть кто дебианщики, помогите пожалуйста разобраться в механизме выставления
>> приоритетов веток репозиториев и пакетов!
> У меня просто ситуация с ветками и пакетами непонятно как разрешаемая, из
> стондарной доки нубу не понять как чего накалдовать!

Что ты хочешь на колдовать? Если юзать разные версии программ то винда самое простое. Если нужно с открытым кодом, то слака, Гента, фряха . и в умершем дебиане это можно, но сложнее.

Вообще для того, чего тебе хочется, идеал вин 7, из никсоидных фряха (кде2 таки запустился на фрибсд 10, лiл;-) ) , ещё трушнее коммерческая соляра, но в ней для современного дрисктопа почти ничего нет. Тележек и шматриксов ты там не найдёшь, как и последних версий тулкитов.

Мэйк и мэйк инсталл, бро.

Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

9. "Обновление Debian 10.4"  +7 +/
Сообщение от Аноним (9), 09-Май-20, 20:59 
Package: *
Pin: release a=stable
Pin-Priority: 2000

Package: *
Pin: release a=testing
Pin-Priority: 60

Package: *
Pin: release a=unstable
Pin-Priority: 50

Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

25. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (25), 09-Май-20, 22:03 
> Package: *
> Pin: release a=stable
> Pin-Priority: 2000
> Package: *
> Pin: release a=testing
> Pin-Priority: 60
> Package: *
> Pin: release a=unstable
> Pin-Priority: 50

Не всё так просто, мне нужно чтобы между пакетами одной и той же версии выбирался пакет из более свежей ветки, это если вкратце.

Ответить | Правка | Наверх | Cообщить модератору

30. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (9), 09-Май-20, 22:29 
Package: *
Pin: release a=stable
Pin-Priority: 200

Package: *
Pin: release a=testing
Pin-Priority: 2000

Ответить | Правка | Наверх | Cообщить модератору

31. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (31), 09-Май-20, 22:35 
> Package: *
> Pin: release a=stable
> Pin-Priority: 200
> Package: *
> Pin: release a=testing
> Pin-Priority: 2000

Нет, так тоже не пойдёт, если подключены все ветки с выставленными приоритетами, и с появлением пакета с нужной версии в любой из них, чтобы выбиралась самая свежая ветка и версия/субверсия - минорный апдейт/ секурити патч. Чтобы не нырять каждый раз в http://packages.debian.org/и руками не проверять, а не появился ли нужный пакет в определённой ветке, а то так можно и обновление прошляпить. Я не знаю, понятно ли объяснил?

Ответить | Правка | Наверх | Cообщить модератору

33. "Обновление Debian 10.4"  +3 +/
Сообщение от Аноним (9), 09-Май-20, 22:46 
Судя по описанию тебе нужно просто sid на максимальный приоритет поставить.
Ответить | Правка | Наверх | Cообщить модератору

34. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (34), 09-Май-20, 22:47 
Ты хочешь ставить или автообновляться всегда на самую последнюю версию, не важно в какой она ветке?

Тогда выстави всем веткам одинаковый приоритет, самая новая версия автоматически выберется из-за её номера. Но по сути это будет тоже самое что сидеть на ветке sid, так как новые версии загружаются сначала в неё. Сидеть на sid не рекомендуется если вы не разработчик debian.

Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

47. "Обновление Debian 10.4"  +/
Сообщение от Аноним (47), 09-Май-20, 23:34 
> Ты хочешь ставить или автообновляться всегда на самую последнюю версию, не важно
> в какой она ветке?
> Тогда выстави всем веткам одинаковый приоритет, самая новая версия автоматически выберется
> из-за её номера. Но по сути это будет тоже самое что
> сидеть на ветке sid, так как новые версии загружаются сначала в
> неё. Сидеть на sid не рекомендуется если вы не разработчик debian.

Нет, на полном сиде мне не нужно сидеть, в том-то и дело, у меня несколько машин одна на stable, другая на testing в обеих нужен определённый пакет, но нужно чтобы все ветки были раскоменчены, а текущая системная с высшим приоритетом, чтобы все пакеты кроме заданного обновлялись только из текущей (родной) ветки.

Извиняюсь перед всеми за возможный сумбур в описании хотелок, видимо придётся описать ситуацию:
Дано: установлен один релиз (на данном этапе неважно stable или testing) в этом новом релизе оказалось, что нужной версии пакета нет (её заменили новой версией, а нужна -предыдущая, которая получается "сползла"  вместе с веткой в oldstable), позже, через время, зарелизилась ещё одна версия дистра и пакет уже "сполз" в очередной раз, уже в oldoldstable.

Позже оказалось, что в пакете обнаружили дырку, заплатка-обновление для которой появилось в пакете в security репах к данному oldstable релизу... тут стоит сделать отступление - этот пакет внезапно вернули по надобности в sid, а вот обновлённая секурная минорная версия появилась СПЕРВА в секурити ветке для oldstable, почему так, я хз, а потом уже появилась в sid!
Блин, надеюсь я понятно пояснил и это возможно распарсить?!

Суть в том, что требуется как-то так извернуться, чтобы прописать в соуслисте все ветки с приоритетами и диапазон версий пакета раз и навсегда, чтобы каждый раз не нырять и не искать его руками в том же https://packages.debian.org/ и http://security.debian.org/debian-security на предмет появления новых подверсий, а то это надо постоянно в уме держать и чекать периодически (если не настроить на автоматизм), а не нашли ли там дыру или не выкинули ли пакет на мороз, потому что кто знает, может его выкинут из sid или он естественным образом вылетит когда oldstable скинут в бездну. Нужно чтобы при любых таких возможных обстоятельствах в текущий релиз прилетала самая свежая минорная версия, из самой свежей ветки репов, или же если оттуда выкинули на мороз пакет, то чтобы он из остальных веток самый свежий пакет подтягивал. Блин, ну и дичь я тут написал, но как иначе ещё пояснить, я пока что хз, ещё раз извините!

Прошу прощения за тупость, пожалейте убогого, я не так давно с бунт переехал, а тамошняя атмосфера не способствует развитию интеллекта, и из документаций по дебиану и примеров в статьях по теме я не догнал как это дело мне разрулить!

Ответить | Правка | Наверх | Cообщить модератору

66. "Обновление Debian 10.4"  –2 +/
Сообщение от псевдонимус (?), 10-Май-20, 10:56 
Если у пакета много зависимостей, то с дебианом тебе будет трудно. В твоем случае лучше будут слака и производные.
Ответить | Правка | Наверх | Cообщить модератору

50. "Обновление Debian 10.4"  +1 +/
Сообщение от Armagor (??), 09-Май-20, 23:51 
>Сидеть на sid не рекомендуется если вы не разработчик debian.

Я понимаю что не репрезентативно, но я на рабочей машине год сижу на sid. За все время один раз при обновлении сломалось что-то там в apparmor (не помню уже что), минут за 15 починил и работал дальше.
Так что, исходя из моего сугубо личного опыта - вполне себе сносный rolling дистр.

Ответить | Правка | К родителю #34 | Наверх | Cообщить модератору

54. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (54), 10-Май-20, 00:29 
>>Сидеть на sid не рекомендуется если вы не разработчик debian.
> Я понимаю что не репрезентативно, но я на рабочей машине год сижу
> на sid. За все время один раз при обновлении сломалось что-то
> там в apparmor (не помню уже что), минут за 15 починил
> и работал дальше.
> Так что, исходя из моего сугубо личного опыта - вполне себе сносный
> rolling дистр.

Пробовал на sid сидеть, ломается редко но метко, особо вероятно после разморозки, и когда пакет из experimental прилетел, а зависимости к нему не все ещё залиты туда, вот у меня пару раз система так ломалась, что я плюнул и переставил, проще было, ломало этот факап разгребать.

Гораздо безопаснее сидеть на testing, пока не заморозили перед релизом будущую релизную ветку, обновления туда, не сильно долго зависая в сиде, попадают.
А некоторые необходимые пакеты из sid ставить руками или запинить.
Например есть некоторые пакеты, с "недавнего" (по меркам дебиана) времени, которые только в sid тусуют и в testing не попадают, например firefox (именно этот обычный, потому что во всех остальных ветках дебиана только ESR-версии) постоянно меняется свежими версиями тусуя только в sid.

При таком варианте, если держать в соуслисте пути не с названиями в стиле - stable, testing, unstable, а именно именами самих игрушек, которые соответствуют конкретно вашей текущей testing-ветке, тогда можно вполне комфортно и безопасно жить, только обновляться после  очередного релиза нового stable не сразу, а то после разморозки во все ветки прилетает овердохрена пакетов, которые с огромной вероятностью "натворят делов", а где-то после неделек 2х или месяца после разморозки, а в идеале после первого минорного обновления stable. В итоге получается  такой полуролинг, который не ролинг только в период заморозки, что примерно составляет полгода, не рачик конечно, но и не федора, ради дебианских плюсов можно и потерпеть отсутствие полного трушного ролинга круглый год, субъективно конечно, но я выбрал такой вариант и не жалею!

Ответить | Правка | Наверх | Cообщить модератору

67. "Обновление Debian 10.4"  +/
Сообщение от Armagor (??), 10-Май-20, 10:57 
> Пробовал на sid сидеть, ломается редко но метко, особо вероятно после разморозки,
> и когда пакет из experimental прилетел, а зависимости к нему не
> все ещё залиты туда, вот у меня пару раз система так ломалась

Поправьте меня пожалуйста, если я ошибаюсь, но я практически уверен, что в этом случае apt upgrade не обновит пакет, пока не подъедут все нужные зависимости, а вот apt dist-upgrade - обновит и сломает что-нибудь.

Ответить | Правка | Наверх | Cообщить модератору

76. "Обновление Debian 10.4"  +/
Сообщение от Аноним (76), 10-Май-20, 18:23 
>> Пробовал на sid сидеть, ломается редко но метко, особо вероятно после разморозки,
>> и когда пакет из experimental прилетел, а зависимости к нему не
>> все ещё залиты туда, вот у меня пару раз система так ломалась
> Поправьте меня пожалуйста, если я ошибаюсь, но я практически уверен, что в
> этом случае apt upgrade не обновит пакет, пока не подъедут все
> нужные зависимости, а вот apt dist-upgrade - обновит и сломает что-нибудь.

А вы попробуйте обновить sid сразу после разморозки и узнаете ;)

Ответить | Правка | Наверх | Cообщить модератору

82. "Обновление Debian 10.4"  +/
Сообщение от Armagor (??), 10-Май-20, 23:36 
> А вы попробуйте обновить sid сразу после разморозки и узнаете ;)

Точно обновлялся после мартовского фулл-фриза в прошлом году. Видимо, просто повезло.

Ответить | Правка | Наверх | Cообщить модератору

35. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (9), 09-Май-20, 22:52 
Вообще вот такую табличку нашел:
Значения веса приоритета могут быть следующими:

P >= 1000 - пакет будет установлен, даже если это приведет к понижению версии уже установленного пакета
990 <= P < 1000 - пакет будет установлен, если не установлена более новая версия
500 <= P < 990 - пакет будет установлен, если нет пакета принадлежащего к целевому выпуску или не установлена более новая версия
100 <= P < 500 - пакет будет установлен, если нет кандидатов из других источников или установленного пакета более новой версии
0 < P < 100 - пакет будет установлен, если нет других кандидатов и установленных пакетов любой версии
P < 0 - пакет не будет установлен ни при каких условиях
P = 0 - неопределенное состояние, не используется

Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

36. "Обновление Debian 10.4"  +/
Сообщение от Аноним (9), 09-Май-20, 22:53 
Видимо что-то вроде этого
Package: *
Pin: release a=stable
Pin-Priority: 999

Package: *
Pin: release a=testing
Pin-Priority: 998

Package: *
Pin: release a=unstable
Pin-Priority: 997

Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

40. "Обновление Debian 10.4"  +/
Сообщение от Аноним (9), 09-Май-20, 23:01 
Ну и если это не для всей системы, а только для выбранных пакетов, то вместо звездочки пишешь название пакета. Вроде даже через запятую можно, но это не точно.
Ответить | Правка | Наверх | Cообщить модератору

41. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (9), 09-Май-20, 23:02 
Не через запятую, а через пробел.
Ответить | Правка | Наверх | Cообщить модератору

42. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (9), 09-Май-20, 23:04 
И вот тут вроде расписано как тебе надо
https://habr.com/ru/post/120943/
Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

45. "Обновление Debian 10.4"  +/
Сообщение от Аноним (9), 09-Май-20, 23:09 
Хотя с такими запросами тебе явно роллинг дистрибутив нуже, что то типа Solus или openSUSE Tumbleweed
Ответить | Правка | К родителю #31 | Наверх | Cообщить модератору

48. "Обновление Debian 10.4"  +/
Сообщение от Аноним (48), 09-Май-20, 23:40 
> Хотя с такими запросами тебе явно роллинг дистрибутив нуже, что то типа
> Solus или openSUSE Tumbleweed

Нет, дебиан вполне устраивает, ролинги и всякие сузи я не люблю, извиняюсь за сумбур выше описал ситуацию подробней как только мог!

Ответить | Правка | Наверх | Cообщить модератору

55. "Обновление Debian 10.4"  +/
Сообщение от Аноним (9), 10-Май-20, 00:46 
Да пользуйся на здоровье. Просто Debian это не просвежий софт, а про стабильность и предсказуемое поведение после обновлений. Как следствие версии пакетов всегда старые, даже в unstable. А прыгают проги из testing в unstable потому что при появлении новой версии пакета появляются какие то проблемы и такой пакет переводится в нестабильную ветку пока не исправят проблему. Жаль что после перевода пакета в нестабильную ветку, в тестовой не оставляют старую версию пакета. В стабильной ветке пакеты убирают только если больше никто не сопровождает пакет и с ним какие то проблемы или как например с thunderbird перестали поддерживаться старые дополнения. Кроме того для стабильной ветки есть еще и backports, там есть свежий софт адаптированный к стабильной ветке (не все конечно, но может этого окажется достаточно).
Ответить | Правка | Наверх | Cообщить модератору

56. "Обновление Debian 10.4"  +/
Сообщение от Аноним (9), 10-Май-20, 00:49 
Ну и по поводу того что роллинги не любишь. Тестовая ветка дебиана и есть роллинг.
Ответить | Правка | К родителю #48 | Наверх | Cообщить модератору

57. "Обновление Debian 10.4"  +/
Сообщение от Аноним (57), 10-Май-20, 01:39 
> Ну и по поводу того что роллинги не любишь. Тестовая ветка дебиана
> и есть роллинг.

Да, я в курсе, прошу прощения за неясность выражений, я подразумевал скорее арч и перекатиполя, и претензия к остальным не только за ролинговость, в дебиане - testing это такой полуролинг да ещё с отстойником, в подавляющем большинстве свежесть пакетов дебиана меня не смущает, а ради горсти нужного свежака использовать такие дистры как арч я не хочу, тем более в дебиане мне кроме стабильности и инструменты нравятся и сам подход, начиная от философии, заканчиваю технической реализацией, на мой взгляд это лучший из бинарных релизных дистрибутивов! Я уже успел напробоваться и из популярных бинарных дистров осознанно выбрал для себя именно его.

Ответить | Правка | Наверх | Cообщить модератору

68. "Обновление Debian 10.4"  +/
Сообщение от Аноним (68), 10-Май-20, 11:47 
Может тогда проще нужный софт на флатхабе поискать? Firefox о котором ты писал, там есть. А в релизах его никогда не было и врят ли будет.
Ответить | Правка | Наверх | Cообщить модератору

75. "Обновление Debian 10.4"  +/
Сообщение от Аноним (75), 10-Май-20, 18:20 
> Может тогда проще нужный софт на флатхабе поискать? Firefox о котором ты
> писал, там есть. А в релизах его никогда не было и
> врят ли будет.

Нет, не проще, у меня есть задача и надо её решить, а в посте выше я firefox как пример привёл и причём в несколько ином контексте!
Флатпаки, снапы и прочая чушь мне не нужны по ряду причин, среди прочего я с бунт ушёл из-за тенденций в сторону снапов всего чего можно.
Нужные мне пакеты уже есть в определённых ветках Дебиана, я интересуюсь как разрулить конкретный вопрос

Ответить | Правка | Наверх | Cообщить модератору

32. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (9), 09-Май-20, 22:44 
Или если надо обновлять не все пакеты, то в вики есть такой пример:

Package: *
Pin: release a=testing
Pin-Priority: 450

Package: *
Pin: release a=unstable
Pin-Priority: 400

И пакеты из свежих репозиториев должны обновляться автоматически, если они уже установлены.
Устанавливать или обновлять новые можно явно указывая репозиторий:

apt-get -t testing install blender

Или временно повышая приоритет репозитория и выборочно устанавливать то что нужно.

Ответить | Правка | К родителю #25 | Наверх | Cообщить модератору

102. "Обновление Debian 10.4"  +/
Сообщение от ryoken (ok), 12-Май-20, 14:40 
Backports в помощь.
Ответить | Правка | К родителю #25 | Наверх | Cообщить модератору

21. "Обновление Debian 10.4"  –3 +/
Сообщение от Аноним (21), 09-Май-20, 21:38 
Вы видимо ещё один не понимающий, но хотящий.

Нет никаких приоритетов и механизмов, и репозитории нельзя смешивать.

Хотите замороженного софта с надеждой на отсуствие проблем и необходимость лишних телодвижений при обновлении - используете только stable, точка. При этом свежий софт вам по определению не нужен.

Хотите свежего софта - используете только unstable/testing, точка. При этом вы по определению будете периодически ходить по граблям.

Попробуете смешать несколько реп - получите минусы обоих, и ещё огромную кучу несовместимостей и проблем сверху.

И если всё-таки вам нужен свежий софт, рекоммендую рассмотреть нормальные rolling дистрибутивы. Дело в том, что в отличие от Debian, где unstable/testing - полигон для тестирования, который при этом не тестируется поскольку большинство пользователей трусливо паразитируют на гниющем stable, в полноценных rolling'ах полигон тестируют все, и ошибки там выявляются и исправляются гораздо быстрее.

Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

23. "Обновление Debian 10.4"  +3 +/
Сообщение от Аноним (23), 09-Май-20, 21:54 
> Вы видимо ещё один не понимающий, но хотящий.
> Нет никаких приоритетов и механизмов, и репозитории нельзя смешивать.

Если бы нельзя было "смешивать", тогда бы не было механизма пининга, причём не каких-то незадокументированных экспериментальных функций, а именно что вполне рядового инструмента

Ответить | Правка | Наверх | Cообщить модератору

26. "Обновление Debian 10.4"  +2 +/
Сообщение от myhand (ok), 09-Май-20, 22:05 
Уверяю вас, возможность прострелить себе бошку - тоже штатный механизм револьверта.
Ответить | Правка | Наверх | Cообщить модератору

28. "Обновление Debian 10.4"  +/
Сообщение от Аноним (28), 09-Май-20, 22:13 
> Уверяю вас, возможность прострелить себе бошку - тоже штатный механизм револьверта.

Нет, штатный механизм револьвера это ударять по капсулю, с последующим выпуском пули из ствола, зарядный механизм, также часть общего механизма, а вот возможность прострелить себе башку, это таки возможный вариант применения!

Ответить | Правка | Наверх | Cообщить модератору

81. "Обновление Debian 10.4"  +/
Сообщение от myhand (ok), 10-Май-20, 23:11 
В общем, курок есть - значит надо стрелять себе в бошку!
Ответить | Правка | Наверх | Cообщить модератору

85. "Обновление Debian 10.4"  +/
Сообщение от АНоним (?), 11-Май-20, 10:52 
> В общем, курок есть - значит надо стрелять себе в бошку!

Это что, пропаганда и подстрекательство к самоубийству?!
Поаккуратней с этим! ;)

Ответить | Правка | Наверх | Cообщить модератору

93. "Обновление Debian 10.4"  +1 +/
Сообщение от myhand (ok), 11-Май-20, 13:52 
Может и так.  Состояние дел в Debian вполне может довести до суицида, ага...
Ответить | Правка | Наверх | Cообщить модератору

24. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (24), 09-Май-20, 22:00 
> Попробуете смешать несколько реп - получите минусы обоих, и ещё огромную кучу
> несовместимостей и проблем сверху.

Мне и ненужно смешивать несколько реп, мне нужны разные несистемные пакеты из разных веток, они точно ничего не сломают, это прикладной юзерософт, я не виноват, если некоторые пакеты есть только в sid или в oldstable, к тому же Pin-Priority стандартный механизм, просто я в своём случае не разобрался

Ответить | Правка | К родителю #21 | Наверх | Cообщить модератору

37. "Обновление Debian 10.4"  +2 +/
Сообщение от Аноним (34), 09-Май-20, 22:54 
> это прикладной юзерософт

Прикладной юзерософт _зависит_ от версий системных библиотек. Обновив прикладной юзерософт вы обновите и системные библиотеки, из-за этих зависимостей.

Если вам надо ставить только прикладной юзерософт, но со старыми системными блиблиотеками --- вам придётся пересобрать новый пакет со старыми либами установленными у вас (это называется backports).

В принципе это не так сложно, в debian всё это автоматизировано и есть готовые штатные утилиты для пересборки, она выполняется в одну-две комманды. Если прикладной юзерософт не требует именно новой версии системных библиотек то у вас даже всё соберётся без проблем и будет работать.

Ответить | Правка | Наверх | Cообщить модератору

49. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (49), 09-Май-20, 23:43 
>> это прикладной юзерософт
> Прикладной юзерософт _зависит_ от версий системных библиотек. Обновив прикладной юзерософт
> вы обновите и системные библиотеки, из-за этих зависимостей.

нет, не всегда, есть пакеты которые трогают только свои зависимости, и если на них больше ничего в данном релизе не ссылается, то при обновлении как пакета, так и его зависимостей ничего не сломается и не заменится в системных компонентах, зависит от ситуации.

Ответить | Правка | Наверх | Cообщить модератору

51. "Обновление Debian 10.4"  +/
Сообщение от Аноним (51), 09-Май-20, 23:55 
> Если вам надо ставить только прикладной юзерософт, но со старыми системными блиблиотеками
> --- вам придётся пересобрать новый пакет со старыми либами установленными у
> вас (это называется backports).
> В принципе это не так сложно, в debian всё это автоматизировано и
> есть готовые штатные утилиты для пересборки, она выполняется в одну-две комманды.
> Если прикладной юзерософт не требует именно новой версии системных библиотек то
> у вас даже всё соберётся без проблем и будет работать.

Кстати, самостоятельная пересборка как и сборка с нуля дебианопакетов, это ещё один момент, который хотелось бы вкурить, потому что если делать всё изначально по феншую, в стиле дебиан, православно и как следует, то в идеале надо создавать среду для сборки, и вообще соблюдать условия такие как делают майнтейнеры у себя, лучше сразу приучать себя к порядку, наколенные варианты  в стиле "тяп-ляп" и "и так сойдёт" не стоит практиковать, и попробовав вникнуть в вопрос по статье на хабре, потому как в доках я голову поломал, у меня возникло ещё больше вопросов. Если кто возьмётся на досуге поняньчиться со мной по данной теме, чтобы я догнал наконец своим недотёпистым мозгом, с меня "печеньки/мороженка/пиво"!

Ответить | Правка | К родителю #37 | Наверх | Cообщить модератору

58. "Обновление Debian 10.4"  +/
Сообщение от Аноним (21), 10-Май-20, 02:52 
> Мне и ненужно смешивать несколько реп, мне нужны разные несистемные пакеты из разных веток

Твои "разные ветки" это и есть разные репы, есличо.

> они точно ничего не сломают, это прикладной юзерософт

Софт не существует в вакууме, у него есть зависимости. Зависимости из разных реп часто конфликтуют - в таком случае либо софт который тебе нужен не будет работать, потому что ты не поставишь нужную ему зависимость, либо ты её поставишь заменив родной пакет из дистрибутива и сломаешь ВСЁ что от него зависело.

> я не виноват, если некоторые пакеты есть только в sid или в oldstable

Нет, только ты и виноват. И ты гарантированно сам себя за это накажешь когда сломаешь систему.

Ответить | Правка | К родителю #24 | Наверх | Cообщить модератору

59. "Обновление Debian 10.4"  +/
Сообщение от Аноним (59), 10-Май-20, 03:36 
>> Мне и ненужно смешивать несколько реп, мне нужны разные несистемные пакеты из разных веток
> Твои "разные ветки" это и есть разные репы, есличо.

Это смотря как посмотреть
>> они точно ничего не сломают, это прикладной юзерософт
> Софт не существует в вакууме, у него есть зависимости. Зависимости из разных
> реп часто конфликтуют - в таком случае либо софт который тебе
> нужен не будет работать, потому что ты не поставишь нужную ему
> зависимость, либо ты её поставишь заменив родной пакет из дистрибутива и
> сломаешь ВСЁ что от него зависело.

В обсуждаемом случае не про это, читайте внимательней
>> я не виноват, если некоторые пакеты есть только в sid или в oldstable
> Нет, только ты и виноват. И ты гарантированно сам себя за это
> накажешь когда сломаешь систему.

А вот это вообще не в тему.

Ответить | Правка | Наверх | Cообщить модератору

39. "Обновление Debian 10.4"  +/
Сообщение от Аноним (9), 09-Май-20, 22:55 
Поищи в интернете по debian pinnig
Ответить | Правка | К родителю #21 | Наверх | Cообщить модератору

43. "Обновление Debian 10.4"  +1 +/
Сообщение от Delpher (ok), 09-Май-20, 23:09 
/etc/apt/sources.list:

#

#deb cdrom:[Debian GNU/Linux stratch _stable_ - Official Snapshot Multi-architecture amd64/i386 NETINST #1 20170102-03:54]/ stable main

deb http://security.debian.org/debian-security stable/updates main contrib non-free
#deb-src http://security.debian.org/debian-security stable/updates main contrib non-free

deb http://ftp.ru.debian.org/debian/ stable main contrib non-free
#deb-src http://ftp.ru.debian.org/debian/ stable main contrib non-free

deb http://ftp.ru.debian.org/debian/ stretch-backports main contrib non-free

deb http://ftp.ru.debian.org/debian/ testing main contrib non-free
#deb-src http://ftp.ru.debian.org/debian/ testing main contrib non-free

deb http://ftp.ru.debian.org/debian/ unstable main contrib non-free

deb http://ftp.ru.debian.org/debian experimental main contrib non-free

ONE of theese files content:
1. gedit /etc/apt/preferences
2. mcedit /etc/apt/preferences.d/security.pref

## UNSTABLE ###############

Package: *
Pin: release a=debian-security
Pin-Priority: 1001

Package: *
Pin: release a=unstable
Pin-Priority: 500

Package: *
Pin: release a=testing
Pin-Priority: 400

Package: *
Pin: release a=stretch-backports
Pin-Priority: 300

Package: *
Pin: release a=stable
Pin-Priority: 200

Package: *
Pin: release a=experimental
Pin-Priority: 100

## STABLE ###############

Package: *
Pin: release a=debian-security
Pin-Priority: 1001

Package: *
Pin: release a=stable
Pin-Priority: 900

Package: *
Pin: release a=stretch-backports
Pin-Priority: 800

Package: *
Pin: release a=testing
Pin-Priority: 700

Package: *
Pin: release a=unstable
Pin-Priority: 500

Package: *
Pin: release a=experimental
Pin-Priority: 100

########################

Package - на какие пакеты распространяется приоритет. Звёздочка говорит что на все без исключения.
Pin - название ветки дистрибутива.
Pin-priority - собственно, приоритет. Чем он выше - тем жёстче будет закреплена ветка. Приоритет выше 1000 позволит произвести даунгрейд пакетов до той ветки, в которой он установлен. Потому если вы переборщили с экспериментами - выставляйте на stable приоритет 1001, обновляйте список пакетов и делайте dist-upgrade.

Как мы видим, репозиторий unstable у нас имеет наименьший приоритет. Возможно он вам не понадобится, но включить его нужно по той причине, что бывает программу переместили в testing, а часть её зависимостей осталась в unstable. И программа, естественно, не установится. Ок, приоритеты мы настроили. Теперь нужно подключить эти репозитории:

mcedit /etc/apt/sources.list

#Testing
deb http://mirror.yandex.ru/debian testing main contrib non-free
deb-src http://mirror.yandex.ru/debian testing main contrib non-free

#Unstable
deb http://mirror.yandex.ru/debian unstable main contrib non-free
deb-src http://mirror.yandex.ru/debian unstable main contrib non-free

Далее сохраняем и обновляем список пакетов:

apt-get update

Установка программ идёт двумя способами:

apt install ProgramName/testing #использовать существующие версии зависимостей (безопасный)
apt install -t testing ProgramName #использовать новые версии зависимостей (опасный, принудительный)

man apt_preferences #info

Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

44. "Обновление Debian 10.4"  +1 +/
Сообщение от Delpher (ok), 09-Май-20, 23:09 
/etc/apt/sources.list:

#

#deb cdrom:[Debian GNU/Linux stratch _stable_ - Official Snapshot Multi-architecture amd64/i386 NETINST #1 20170102-03:54]/ stable main

deb http://security.debian.org/debian-security stable/updates main contrib non-free
#deb-src http://security.debian.org/debian-security stable/updates main contrib non-free

deb http://ftp.ru.debian.org/debian/ stable main contrib non-free
#deb-src http://ftp.ru.debian.org/debian/ stable main contrib non-free

deb http://ftp.ru.debian.org/debian/ stretch-backports main contrib non-free

deb http://ftp.ru.debian.org/debian/ testing main contrib non-free
#deb-src http://ftp.ru.debian.org/debian/ testing main contrib non-free

deb http://ftp.ru.debian.org/debian/ unstable main contrib non-free

deb http://ftp.ru.debian.org/debian experimental main contrib non-free

ONE of theese files content:
1. gedit /etc/apt/preferences
2. mcedit /etc/apt/preferences.d/security.pref

## UNSTABLE ###############

Package: *
Pin: release a=debian-security
Pin-Priority: 1001

Package: *
Pin: release a=unstable
Pin-Priority: 500

Package: *
Pin: release a=testing
Pin-Priority: 400

Package: *
Pin: release a=stretch-backports
Pin-Priority: 300

Package: *
Pin: release a=stable
Pin-Priority: 200

Package: *
Pin: release a=experimental
Pin-Priority: 100

## STABLE ###############

Package: *
Pin: release a=debian-security
Pin-Priority: 1001

Package: *
Pin: release a=stable
Pin-Priority: 900

Package: *
Pin: release a=stretch-backports
Pin-Priority: 800

Package: *
Pin: release a=testing
Pin-Priority: 700

Package: *
Pin: release a=unstable
Pin-Priority: 500

Package: *
Pin: release a=experimental
Pin-Priority: 100

########################

Package - на какие пакеты распространяется приоритет. Звёздочка говорит что на все без исключения.
Pin - название ветки дистрибутива.
Pin-priority - собственно, приоритет. Чем он выше - тем жёстче будет закреплена ветка. Приоритет выше 1000 позволит произвести даунгрейд пакетов до той ветки, в которой он установлен. Потому если вы переборщили с экспериментами - выставляйте на stable приоритет 1001, обновляйте список пакетов и делайте dist-upgrade.

Как мы видим, репозиторий unstable у нас имеет наименьший приоритет. Возможно он вам не понадобится, но включить его нужно по той причине, что бывает программу переместили в testing, а часть её зависимостей осталась в unstable. И программа, естественно, не установится. Ок, приоритеты мы настроили. Теперь нужно подключить эти репозитории:

mcedit /etc/apt/sources.list

#Testing
deb http://mirror.yandex.ru/debian testing main contrib non-free
deb-src http://mirror.yandex.ru/debian testing main contrib non-free

#Unstable
deb http://mirror.yandex.ru/debian unstable main contrib non-free
deb-src http://mirror.yandex.ru/debian unstable main contrib non-free

Далее сохраняем и обновляем список пакетов:

apt-get update

Установка программ идёт двумя способами:

apt install ProgramName/testing #использовать существующие версии зависимостей (безопасный)
apt install -t testing ProgramName #использовать новые версии зависимостей (опасный, принудительный)

man apt_preferences #info

Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

52. "Обновление Debian 10.4"  +/
Сообщение от Аноним (52), 10-Май-20, 00:05 
>[оверквотинг удален]
> deb-src http://mirror.yandex.ru/debian testing main contrib non-free
> #Unstable
> deb http://mirror.yandex.ru/debian unstable main contrib non-free
> deb-src http://mirror.yandex.ru/debian unstable main contrib non-free
> Далее сохраняем и обновляем список пакетов:
> apt-get update
> Установка программ идёт двумя способами:
> apt install ProgramName/testing #использовать существующие версии зависимостей (безопасный)
> apt install -t testing ProgramName #использовать новые версии зависимостей (опасный, принудительный)
> man apt_preferences #info

Огромное вам спасибо за ответ, но хотелось бы вкурить это на моём примере, который я описал выше https://www.opennet.ru/openforum/vsluhforumID3/120590.html#47, не знаю насколько понятно?!

Ответить | Правка | Наверх | Cообщить модератору

53. "Обновление Debian 10.4"  +1 +/
Сообщение от Catwoolfiiemail (ok), 10-Май-20, 00:09 
https://wiki.debian.org/ru/AptPreferences
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

69. "Обновление Debian 10.4"  –1 +/
Сообщение от Суп из потрошков (?), 10-Май-20, 12:27 
Ну что, выхватил помощи "сообщества", чувак?
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

77. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (77), 10-Май-20, 18:30 
> Ну что, выхватил помощи "сообщества", чувак?

Я не совсем понял эмоционального окраса вашего сообщения и его смысловой нагрузки.
На самом деле я в курсе что такое опеннет и что тут может быть в ответах, я вообще ничего не ожидал особо, однако ряд людей вполне годные советы дали, другое дело что я всё ещё не догнал как мне разрулить свою ситуацию с помощью приоритетов, зато несколько прояснений получил, за что благодарен!

Ответить | Правка | Наверх | Cообщить модератору

101. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (100), 12-Май-20, 07:09 
Не там ты помощи просишь, здесь тебе предложат или поставить ubuntu/gentoo/windows или взять учебник русского языка и поиздеваться ещё могут, на этом сила местного сообщества и заканчивается в силу отсутствия специалистов, вот от не знания и бессилия своего и могут только как бабки языком чесать.
Ответить | Правка | К родителю #4 | Наверх | Cообщить модератору

104. "Обновление Debian 10.4"  +/
Сообщение от Аноним (104), 12-Май-20, 18:28 
> Не там ты помощи просишь,

А где надо просить помощи по Дебиану, как не в новости про Дебиан, на техническом ресурсе?

>здесь тебе предложат или поставить ubuntu/gentoo/windows

Это и на дебианофоруме и на ЛОРе так бывает

>или взять учебник русского языка

Ну бывает такое, но плотность граммар-наци тут терпимая, не такая зашкаливающая как на хабре, где сплошь снобы, которые почему-то тусуют на техническом ресурсе, а не у себя в филологическом кружке, да и как-то фиолетово, подумаешь у людей пунктик на этот счёт, на что только люди не возбуждаются.

>и поиздеваться ещё могут

поиздеваться могут над тем, кого это хоть как-то эмоционально задевает, меня таким не пронять, я уже привык к наличию троллинга разной жирноты и бурлению масс.
Бывает, обилие г@внокоментов несколько мешает найти полезный, но не более.

> на этом сила  местного сообщества и заканчивается в силу отсутствия специалистов,

из ответов, мне например, очевидно что нет, есть вполне полезные советы.

>вот от не знания и бессилия своего и могут только как бабки языком чесать.

и такое бывает, но опять же это просто шум, среди которого бывают полезные советы и посты.

Ответить | Правка | Наверх | Cообщить модератору

11. "Обновление Debian 10.4"  +/
Сообщение от Sunderland93 (ok), 09-Май-20, 21:01 
Когда уже Mesa обновлят? почему блоб обновляют регулярно, хотя на него никогда никаких гарантий не было и не будет, а открытые графические драйверы - раз в год?
Ответить | Правка | Наверх | Cообщить модератору

13. "Обновление Debian 10.4"  +2 +/
Сообщение от AleksK (ok), 09-Май-20, 21:15 
Переходи на testing или ставь Ubuntu
Ответить | Правка | Наверх | Cообщить модератору

14. "Обновление Debian 10.4"  +2 +/
Сообщение от анонимно (?), 09-Май-20, 21:23 
Будь мужиком,переходи на testing или ставь Ubuntu!
Ответить | Правка | Наверх | Cообщить модератору

17. "Обновление Debian 10.4"  +1 +/
Сообщение от Главный Ананим (ok), 09-Май-20, 21:26 
Ставь минт или MXLinux. По мне так намного стабильнее и надёжнее и новее и хорошее.
Ответить | Правка | К родителю #11 | Наверх | Cообщить модератору

29. "Обновление Debian 10.4"  +3 +/
Сообщение от Аноним (29), 09-Май-20, 22:15 
> Ставь минт или MXLinux. По мне так намного стабильнее и надёжнее и
> новее и хорошее.

-минт
-MXLinux.
-стабильнее и надёжнее
Спасибо, рассмешили!

Ответить | Правка | Наверх | Cообщить модератору

22. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (21), 09-Май-20, 21:41 
Зачем вам обновление Mesa? Вы же осознанно выбрали т.н. "стабильный" дистрибутив с замороженным софтом, как раз чтобы ничего не обновлялось и не ломалось, нет? Вот и сидите с тем что есть.
Ответить | Правка | К родителю #11 | Наверх | Cообщить модератору

83. "Обновление Debian 10.4"  +1 +/
Сообщение от BSDun (?), 11-Май-20, 00:06 
Переходи на тестинг и сиди голой жопой в интернет тому, что в тестинг апдейты безопасности приходят после sid и stable. Настоящие мужики за свою жопу не боятся!
Ответить | Правка | К родителю #11 | Наверх | Cообщить модератору

87. "Обновление Debian 10.4"  +/
Сообщение от Аноним (87), 11-Май-20, 11:06 
> тому, что в  тестинг апдейты безопасности приходят после sid и stable.

Я думаю вы, как приличный человек в приличном обществе, хотели приложить к своему этому высказыванию пруф в виде ссылки на официальный источник с такой информацией, но видимо были чем-то заняты пока составляли это сообщение, и ссылка нечаянно не вставилась в него при отправлении, ведь так?

Ответить | Правка | Наверх | Cообщить модератору

16. "Обновление Debian 10.4"  +/
Сообщение от Аноним (16), 09-Май-20, 21:25 
А Debian 9 уже все? Только критические исправления?
Ответить | Правка | Наверх | Cообщить модератору

18. "Обновление Debian 10.4"  +/
Сообщение от Главный Ананим (ok), 09-Май-20, 21:26 
Эта cpaнь никогда толком не работала
Ответить | Правка | Наверх | Cообщить модератору

91. "Обновление Debian 10.4"  +/
Сообщение от Аноним (91), 11-Май-20, 13:09 
Алло. Половина западных серверов все еще на 8-ку переходит, а Вы тут впереди паравоза ...
Ответить | Правка | Наверх | Cообщить модератору

20. "Обновление Debian 10.4"  +2 +/
Сообщение от анонимно (?), 09-Май-20, 21:33 
февраля 8 же было 9.12 https://www.debian.org/News/2020/2020020802
Ответить | Правка | К родителю #16 | Наверх | Cообщить модератору

38. "Обновление Debian 10.4"  +1 +/
Сообщение от быдлоюзер (?), 09-Май-20, 22:55 
нет ничего чётче дебиана
Ответить | Правка | Наверх | Cообщить модератору

46. "Обновление Debian 10.4"  –3 +/
Сообщение от анонимо (?), 09-Май-20, 23:10 
да нет, ничего, чётче дебиана.
Ответить | Правка | Наверх | Cообщить модератору

60. "Обновление Debian 10.4"  +/
Сообщение от Любитель Монеточки (?), 10-Май-20, 06:33 
Как протестировать Lomiri на Debian?
Ответить | Правка | Наверх | Cообщить модератору

61. "Обновление Debian 10.4"  +/
Сообщение от Аноним (61), 10-Май-20, 06:51 
>Из изменений в Debian 10.4 можно отметить обновление до свежих стабильных версий

А на практике пакет может быть одновременно и свежим и стабильным?

Ответить | Правка | Наверх | Cообщить модератору

62. "Обновление Debian 10.4"  +/
Сообщение от Аноним (62), 10-Май-20, 07:25 
последняя стабильная версия же
Ответить | Правка | Наверх | Cообщить модератору

73. "Обновление Debian 10.4"  +1 +/
Сообщение от Аноним (73), 10-Май-20, 17:35 
В Debian слово "свежий" имеет несколько иной смысл. Это когда только только окаменело.
Ответить | Правка | К родителю #61 | Наверх | Cообщить модератору

64. "Обновление Debian 10.4"  +/
Сообщение от Аноним (64), 10-Май-20, 09:49 
При выборе Ru локализации оно научилось ставить только Ru пакеты или ставит в придачу с десяток сторонних локализаций?
Ответить | Правка | Наверх | Cообщить модератору

80. "Обновление Debian 10.4"  +/
Сообщение от Аноним (80), 10-Май-20, 22:58 
> При выборе Ru локализации оно научилось ставить только Ru пакеты или ставит
> в придачу с десяток сторонних локализаций?

Вы Дебиан с васяносборками типа дипинов или ещё какими не перепутали, точно?

В Дебиане ставится только то, что пользователь попросил + зависимости, никогда переводов лишних не ставится, вы либо что-то делаете не так, либо просто выдумываете, в нашей вселенной Дебиан так себя не ведёт.

Ответить | Правка | Наверх | Cообщить модератору

70. Скрыто модератором  +1 +/
Сообщение от Аноним (70), 10-Май-20, 12:58 
Ответить | Правка | Наверх | Cообщить модератору

71. Скрыто модератором  +1 +/
Сообщение от зубастик (?), 10-Май-20, 16:03 
Ответить | Правка | Наверх | Cообщить модератору

88. Скрыто модератором  +/
Сообщение от Аноним (88), 11-Май-20, 11:10 
Ответить | Правка | Наверх | Cообщить модератору

89. Скрыто модератором  +/
Сообщение от Аноним (88), 11-Май-20, 11:11 
Ответить | Правка | К родителю #70 | Наверх | Cообщить модератору

92. "Обновление Debian 10.4"  –1 +/
Сообщение от Аноним (91), 11-Май-20, 13:11 
В целом хотелось бы попросить у сообщества ускорить бэкпортирование инфраструктурных бибилотек и языков программирвоания. Хотя бы для начала транслируемых слабо связанных с системой вроде Ruby, Python, Golang, Rust, Node.js и так далее, а то сейчас их нужно ставить с официальных сайтов, а не через инфраструктуру Debian.
Ответить | Правка | Наверх | Cообщить модератору

107. "Обновление Debian 10.4"  +/
Сообщение от Аноним (107), 12-Май-20, 22:37 
> В целом хотелось бы попросить у сообщества ускорить бэкпортирование инфраструктурных бибилотек
> и языков программирвоания. Хотя бы для начала транслируемых слабо связанных с
> системой вроде Ruby, Python, Golang, Rust, Node.js и так далее, а
> то сейчас их нужно ставить с официальных сайтов, а не через
> инфраструктуру Debian.

А зачем это простому пользователю?
А разработчики используют testing ветку, она довольно стабильная, ну а если вам надо прям свежак и непрерывный ролинг с постоянным бегом вперёд паравоза, то вам туда, где Грег Кро-Хартман сейчас тусует!

Ответить | Правка | Наверх | Cообщить модератору

109. "Обновление Debian 10.4"  +/
Сообщение от LesPaul (?), 14-Май-20, 12:31 
В Debian 8, с ядром 3.16 я добивался нулевой записи при простое на хард с ext4 и журналированием. Более новые ядра постоянно дёргают диск, кроны, логи и вот это вот всё выпилены с корнем, но нет, пишет и пишет мать его, вызываю у меня приступы ОКР. Тов. Линус, ты делаешь, что-то не то, одумайся...
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру